package com.sapportals.wcm.protocol.webdav.dompath;

import org.w3c.dom.Node;


/**
 * <p>
 * Copyright (c) SAP AG 2001-2003
 * @author stefan.eissing@greenbytes.de
 * @version $Id: IStep.java,v 1.1.1.1 2004/02/18 13:00:22 sync Exp $
 */
interface IStep {

  public Node[] match(Node[] nodes, IContext context);

  public Node matchFirst(Node context);

  public void setNext(IStep next);

  public void setPredicate(IExpression expression);

  public boolean containsPredicate();
}
