package com.sapportals.wcm.protocol.webdav.repository.monitor;

import com.sapportals.wcm.repository.ResourceException;

/**
 * Indicates that the time for an operation has exceeded its set limit.
 * <p>
 * Copyright (c) SAP AG 2002-2004
 * @author stefan.eissing@greenbytes.de
 * @version $Id: TimeExceededException.java,v 1.1.1.1 2004/02/18 13:00:23 sync Exp $
 */
public class TimeExceededException extends ResourceException {

  public TimeExceededException(String msg) {
    super(msg, false);
  }
}
