package com.sapportals.wcm.protocol.webdav.repository.util;

/**
 * <p>
 * Copyright (c) SAP AG 2005
 * @author stefan.eissing@greenbytes.de
 * @version $Id: ClassResource.java,v 1.1 2005/03/17 12:48:32 sei Exp $
 */
public class ClassResource {

  public final Class base;
  public final String localName;
  public final String targetName;
  public final String contentType;
  public final boolean hidden;
  
  public ClassResource(Class base, String localName, String targetName, 
      String contentType, boolean hidden) {
    this.base = base;
    this.localName = localName;
    this.targetName = targetName;
    this.contentType = contentType;
    this.hidden = hidden;
  }
}
