package com.sapportals.wcm.protocol.webdav.server.sqlbench;

/*
 * <p>
 * Copyright 2001 (c) SAP Portals Europe GmbH
 * @author stefan.eissing@greenbytes.de
 * @version $Id: AllTests.java,v 1.1.1.1 2004/02/18 12:58:51 sync Exp $
 */

import junit.framework.TestCase;
import junit.framework.TestSuite;

public class AllTests extends TestCase {

  public static final String DEFAULT_SUITE = "SQL Bench Tests";

  public AllTests(String name) {
    super(name);
  }

  private static void addTests(TestSuite suite, Class c, String name)
  {
    final int NR = 1;

    for (int i=0; i<NR; i++)
      suite.addTest(MyTestSuite.suite(c, name));
  }

  public static TestSuite suite() throws Exception
  {
    final int NR = 1;
    String base = MyTestSuite.getBaseURI();
    String host = MyTestSuite.getHost();

    TestSuite suite = new TestSuite("SQL Bench Test at '"
                                    + host + base + "'");

    MyTestSuite.SetUp();

    for (int i=0; i<NR; i++)
    {
//      addTests(suite, PutBigTest.class, "PUT BIG");
//      addTests(suite, PropfindDeepTest.class, "PROPFIND DEEP");
//      addTests(suite, PropfindFlatTest.class, "PROPFIND FLAT");
//      addTests(suite, HeadTest.class, "HEAD");
//      addTests(suite, TraverseTest.class, "TRAVERSE");
      addTests(suite, QueryTest.class, "QUERY");
    }
    return suite;
  }

  public static void main(String[] param) {
    AllTests s = new AllTests("Test");
    try{
      s.setUp();
    }catch(Exception e){}
    s.run();
  }
}