package com.sapportals.wcm.protocol.webdav.sets;

/**
 * Iterates over int values.
 * <p>
 * Copyright (c) SAP AG 2003-2004
 * @author stefan.eissing@greenbytes.de
 * @version $Id: IntIterator.java,v 1.4 2004/06/03 15:36:42 jre Exp $
 */
public interface IntIterator {

  /**
   * Return if iterator will return more int values.
   * @return if iterator will return more int values
   */
  boolean hasNext();
  
  /**
   * Returns next int value
   * @return next int
   * @throws java.util.NoSuchElementException when no more elements available
   */
  int next();
}
