/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: AclException.java,v 1.1.1.1 2004/02/18 12:56:44 sync Exp $
 */

package com.sapportals.wcm.util.acl;

import com.sapportals.wcm.WcmException;

/**
 * Superclass for all exceptions thrown by <code>IAcl</code> s, <code>IAclEntry
 * </code>s and <code>IAclManager</code> . <br>
 *
 */
public class AclException extends WcmException {
  public AclException() { }

  public AclException(boolean log) {
    super(log);
  }

  public AclException(String s) {
    super(s);
  }

  public AclException(Exception e) {
    super(e);
  }
}
