/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: IAclEntryRaw.java,v 1.1 2004/05/06 17:50:53 sync Exp $
 */

package com.sapportals.wcm.util.acl;

import com.sapportals.portal.security.usermanagement.*;

import java.util.*;

/**
 * Tagging interface to mark an <code>IAclEntry/<code> as an
 * ACE for a deleted principal. <br>
 * The ACE's <code>getPrincipal()</code> method will return a
 * <code>IUMPrincipalRaw</code>. 
 */
public interface IAclEntryRaw
extends IAclEntry {

}
