/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: ContentException.java,v 1.1.1.1 2004/02/18 12:56:46 sync Exp $
 */

package com.sapportals.wcm.util.content;

import com.sapportals.wcm.WcmException;

/**
 * TBD: Description of the class.
 */
public class ContentException extends WcmException {

  public ContentException() {
    super(true);
  }

  public ContentException(boolean log) {
    super(log);
  }

  public ContentException(String msg) {
    super(msg, true);
  }

  public ContentException(String msg, boolean log) {
    super(msg, log);
  }

  public ContentException(String msg, Exception ex) {
    super(msg, ex);
  }

  public ContentException(Exception ex) {
    super(ex);
  }

  public ContentException(String msg, Exception ex, boolean log) {
    super(msg, ex, log);
  }

  public ContentException(Exception ex, boolean log) {
    super(ex, log);
  }

}
