/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: IEncodedInputStream.java,v 1.2 2004/03/23 13:08:48 jre Exp $
 */

package com.sapportals.wcm.util.content;

/**
 * Interface to input streams that may be content-encoded as in <a
 * href="http://greenbytes.de/tech/webdav/rfc2616.html#rfc.section.3.5">HTTP</a>.
 * <p>
 * EXPERIMENTAL <p>
 *
 * Copyright (c) SAP AG 2001-2004
 * @author martin.boettcher@greenbytes.de
 * @version $Revision: 1.2 $
 */
public interface IEncodedInputStream {

  /**
   * @return the (case-insensitive) content encoding name
   */
  public String getEncoding();

}
