/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: FieldIdentifier.java,v 1.1.1.1 2004/02/18 12:56:46 sync Exp $
 */

package com.sapportals.wcm.util.controlstatus;

/**
 * TBD: Description of the class.
 */
public class FieldIdentifier {

  private String id = null;

  public FieldIdentifier(String id) {
    this.id = id;
  }

  public String getID() {
    return this.id;
  }

  public boolean equals(Object obj) {
    if (obj instanceof FieldIdentifier) {
      if (this.getID().equals(((FieldIdentifier)obj).getID())) {
        return true;
      }
    }
    return false;
  }
  
  public int hashCode() {
    return this.getID().hashCode();
  }	
}
