/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: HTMLBufferOverrunException.java,v 1.1.1.1 2004/02/18 12:56:46 sync Exp $
 */

package com.sapportals.wcm.util.html;

/**
 * Indicates that the input buffer is full. <p>
 *
 * Copyright (c) SAP AG 2001-2002
 *
 * @author stefan.eissing@greenbytes.de
 * @version $Id: HTMLBufferOverrunException.java,v 1.2 2001/12/12 17:19:53 sei
 *      Exp $
 */
class HTMLBufferOverrunException extends HTMLException {

  public HTMLBufferOverrunException(String message) {
    super(message);
  }

  public HTMLBufferOverrunException(Throwable ex) {
    super(ex);
  }

  public HTMLBufferOverrunException(String message, Throwable ex) {
    super(message, ex);
  }

}
