/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: RidReference.java,v 1.1.1.1 2004/02/18 12:56:49 sync Exp $
 */

package com.sapportals.wcm.util.uri;

import java.lang.ref.SoftReference;

/**
 * @author D029266 To change this generated comment edit the template variable
 *      "typecomment": Window>Preferences>Java>Templates. To enable and disable
 *      the creation of type comments go to Window>Preferences>Java>Code
 *      Generation.
 */
public class RidReference extends SoftReference {

  int hashCode;

  public RidReference(RID rid) {
    super(rid);
    this.hashCode = rid.hashCode();
  }

  public int hashCode() {
    return this.hashCode;
  }

  public RID getRID() {
    return (RID)this.get();
  }
}
