package com.sapportals.wcm.protocol.webdav.cache;

/** IDiscardable is to be implemented by objects placed
 * in a cache, which want to be notified when they are
 * removed from the cache.
 * <p>
 * Copyright (c) SAP AG 2001
 * @author stefan.eissing@greenbytes.de
 * @version $Revision: 1.1.1.1 $
 */

public interface IDiscardable {

  /** Called when the implementing object is removed from a cache.
   */
  public void discard();

}



