/*
 * Copyright (c) 2004 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: HTMLFormNotFoundException.java,v 1.1.1.1 2004/02/18 13:00:22 sync Exp $
 */

package com.sapportals.wcm.protocol.webdav.html;

import com.sapportals.wcm.util.html.HTMLException;

/**
 * A HTML Form could not be found. <p>
 *
 * Copyright (c) SAP AG 2001-2004
 *
 * @author stefan.eissing@greenbytes.de
 * @version $Id: HTMLFormNotFoundException.java,v 1.1.1.1 2004/02/18 13:00:22 sync Exp $
 */
public class HTMLFormNotFoundException extends HTMLException {

  public HTMLFormNotFoundException(String message) {
    super(message);
  }

  public HTMLFormNotFoundException(Throwable ex) {
    super(ex);
  }

  public HTMLFormNotFoundException(String message, Throwable ex) {
    super(message, ex);
  }

}
