package com.sapportals.wcm.protocol.webdav.repository.monitor;


/**
 * Handles registration of IServerComponents.
 * <p>
 * Copyright (c) SAP AG 2002-2003
 * @author stefan.eissing@greenbytes.de
 * @version $Id: IServerRegistry.java,v 1.1.1.1 2004/02/18 13:00:23 sync Exp $
 */
public interface IServerRegistry {

  public void register(IServerComponent server) throws Exception;
  
  public void unregister(IServerComponent server);
}
