package com.sapportals.wcm.protocol.webdav.server.loadtests;

import java.io.PrintStream;

import com.sapportals.wcm.util.http.IResponse;
import com.sapportals.wcm.util.uri.IHierarchicalUri;

public interface IObserver {
    
  public void start();
    
  public void finish();
    
  void dequeued(IHierarchicalUri uri);
    
  void discovered(IHierarchicalUri uri, long duration, IResponse response);
    
  void error(IHierarchicalUri uri, Throwable ex);
    
  boolean hasSeen(IHierarchicalUri uri);

  void todo(int count);
  
  public void printSummary(PrintStream os);
  
  public void setLog(PrintStream os);
}
  
