/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: AclNotFoundException.java,v 1.1.1.1 2004/02/18 12:56:44 sync Exp $
 */

package com.sapportals.wcm.util.acl;

/**
 * An <code>AclException</code> that indicates that a specific <code>IAcl</code>
 * was not found. <p>
 *
 * Copyright (c) SAP AG 2001-2003
 *
 * @author dirk.sabiwalsky@sap.com
 * @version $Id: AclNotFoundException.java,v 1.1.1.1 2004/02/18 12:56:44 sync Exp $
 */

public class AclNotFoundException extends AclException {

  public AclNotFoundException() {
    super(false);
  }
}
