/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: IObjectTypeList.java,v 1.1.1.1 2004/02/18 12:56:45 sync Exp $
 */

package com.sapportals.wcm.util.acl;

/**
 * An <code>IObjectTypeList</code> is a list of <code>IObjectType</code> s. <br>
 *
 */
public interface IObjectTypeList {
  /**
   * get an iterator for the list
   *
   * @return the iterator
   */
  public IObjectTypeListIterator iterator();

  /**
   * @supplierCardinality 1
   * @directed
   */
  /*
   * #IObjectTypeListIterator lnkIObjectTypeListIterator;
   */
}
