/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: MetaInfo.java,v 1.1.1.1 2004/02/18 12:56:46 sync Exp $
 */

package com.sapportals.wcm.util.controlstatus;

import com.sapportals.wcm.util.enum.AbstractEnum;

/**
 * TBD: Description of the class.
 */
public final class MetaInfo extends AbstractEnum {

  public final static MetaInfo LABEL = new MetaInfo(1);
  public final static MetaInfo TOOLTIP = new MetaInfo(2);
  public final static MetaInfo IMAGE = new MetaInfo(3);
  public final static MetaInfo ERRORMESSAGE = new MetaInfo(4);

  private MetaInfo(int code) {
    super(code);
  }
}
