/*
 * Copyright (c) 2003 by SAP AG. All Rights Reserved.
 *
 * SAP, mySAP, mySAP.com and other SAP products and
 * services mentioned herein as well as their respective
 * logos are trademarks or registered trademarks of
 * SAP AG in Germany and in several other countries all
 * over the world. MarketSet and Enterprise Buyer are
 * jointly owned trademarks of SAP AG and Commerce One.
 * All other product and service names mentioned are
 * trademarks of their respective companies.
 *
 * @version $Id: HTMLException.java,v 1.1.1.1 2004/02/18 12:56:47 sync Exp $
 */

package com.sapportals.wcm.util.html;

import com.sapportals.wcm.WcmException;

/**
 * HTMLException is the base class for all exceptions in this package. <p>
 *
 * Copyright (c) SAP AG 2001-2002
 *
 * @author stefan.eissing@greenbytes.de
 * @version $Id: HTMLException.java,v 1.1.1.1 2004/02/18 12:56:47 sync Exp $
 */
public class HTMLException extends WcmException {

  public HTMLException(String message) {
    super(message, false);
  }

  public HTMLException(Throwable ex) {
    super(ex, false);
  }

  public HTMLException(String message, Throwable ex) {
    super(message, ex, false);
  }

}
