#!/bin/bash

# UNIX
CLPATHSEP=:
# if we're on a Windows box make it ;
uname | fgrep -q WIN && CLPATHSEP=\;

LCLP="lib"
for i in lib/*.jar; do
  LCLP="$LCLP$CLPATHSEP$i"
done

JAVA=java
if [ -d "$JAVA_HOME" ]; then
  JAVA="$JAVA_HOME/bin/java"
fi

exec $JAVA -Xmx512M -classpath "$LCLP" com.sapportals.wcm.protocol.webdav.server.loadtests.Main crawl "$@"